Bug 481192 - (perl-pgsql_perl5) Review Request: perl-pgsql_perl5 - Pg - Perl5 extension for PostgreSQL
Review Request: perl-pgsql_perl5 - Pg - Perl5 extension for PostgreSQL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 12:16 EST by Itamar Reis Peixoto
Modified: 2009-03-05 11:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.9.0-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-03 23:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-01-22 12:16:54 EST
Spec URL: http://ispbrasil.com.br/pgsql_perl/perl-pgsql_perl5.spec
SRPM URL: http://ispbrasil.com.br/pgsql_perl/perl-pgsql_perl5-1.9.0-1.fc10.src.rpm

Description: 

The Pg module permits you to access all functions of the Libpq interface
of PostgreSQL. Libpq is the programmer's interface to PostgreSQL.
Comment 1 Itamar Reis Peixoto 2009-01-22 12:41:46 EST
koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=1074558
Comment 2 Parag AN(पराग) 2009-01-29 05:17:31 EST
License should be GPL+ or Artistic
Comment 3 Itamar Reis Peixoto 2009-01-29 10:42:05 EST
ok, I will fix this later.

is possible to leave this package on hold and take a look in this another

https://bugzilla.redhat.com/show_bug.cgi?id=481531

?
Comment 4 Parag AN(पराग) 2009-02-05 08:06:14 EST
any updates here now?
Comment 5 Parag AN(पराग) 2009-02-08 23:57:13 EST
ping?
Comment 6 Itamar Reis Peixoto 2009-02-09 06:24:44 EST
please hold, I will update this ticket as soon as possible.
Comment 8 Parag AN(पराग) 2009-02-11 02:14:57 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1118833
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ec20b8e1596022f8f354550147259d56  pgsql_perl5-1.9.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave nothing.
+ Package perl-pgsql_perl5-1.9.0-2.fc11 =>
  Provides: Pg.so perl(Pg) = 1.9.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libpq.so.5 perl >= 0:5.003 perl(AutoLoader) perl(Carp) perl(DynaLoader) perl(Exporter) perl(vars) rtld(GNU_HASH)

APPROVED.
Comment 9 Itamar Reis Peixoto 2009-02-11 05:26:59 EST
New Package CVS Request
=======================
Package Name: perl-pgsql_perl5
Short Description: Perl5 extension for PostgreSQL
Owners: itamarjp
Branches: F-10
InitialCC:
Comment 10 Kevin Fenzi 2009-02-13 01:45:39 EST
cvs done.
Comment 11 Parag AN(पराग) 2009-03-03 23:47:55 EST
looks this package is already built for requested branches therefore closing this review now.
Comment 12 Fedora Update System 2009-03-05 11:27:21 EST
perl-pgsql_perl5-1.9.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.